Page MenuHomePhabricator

jsonschema-tools should have option to materialize schemas with default max/min validation for e.g. max long, max double, etc.
Open, HighPublic

Description

JSON will allow serialization of numbers outside of the range of their binary counterparts, e.g. max 64 bit long. jsonschema-tools should have a configuration option to automatically materialize schemas with number fields that don't already have maximum and/or minimum validation rules to e.g. max long and max double.

Event Timeline

Nuria created this task.Jul 22 2020, 10:07 PM
Nuria reassigned this task from Gilles to fdans.Jul 24 2020, 2:43 PM
Nuria added a project: Analytics-Kanban.
Nuria added a subscriber: Gilles.
This comment was removed by Nuria.
Nuria updated the task description. (Show Details)Jul 24 2020, 6:57 PM
fdans triaged this task as High priority.Aug 3 2020, 4:27 PM
fdans moved this task from Incoming to Event Platform on the Analytics board.
Ottomata renamed this task from Validation rules on eventgate should take max int values into account in order to validate data for an schema to jsonschema-tools should have option to materialize schemas with default max/min validation for e.g. max long, max double, etc..Aug 3 2020, 4:30 PM
Ottomata updated the task description. (Show Details)

Change 624684 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[schemas/event/primary@master] Temporarily disable numeric bounds enforcement

https://gerrit.wikimedia.org/r/624684

Change 624685 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[schemas/event/secondary@master] Temporarily disable numeric bounds enforcement

https://gerrit.wikimedia.org/r/624685

Change 624684 merged by Ottomata:
[schemas/event/primary@master] Temporarily disable numeric bounds enforcement

https://gerrit.wikimedia.org/r/624684

Change 624685 merged by Ottomata:
[schemas/event/secondary@master] Temporarily disable numeric bounds enforcement

https://gerrit.wikimedia.org/r/624685

Nuria added a comment.Sep 4 2020, 3:12 PM

Making note so @fdans can work on adding bounds to schemas that need it when he is back

Change 624803 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[schemas/event/primary@master] Temporarily disable numeric bounds enforcement

https://gerrit.wikimedia.org/r/624803

Change 624803 abandoned by Ottomata:
[schemas/event/primary@master] Temporarily disable numeric bounds enforcement

Reason:

https://gerrit.wikimedia.org/r/624803

fdans moved this task from In Code Review to Done on the Analytics-Kanban board.Mon, Oct 26, 4:23 PM